{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}

{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }
    </style>
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Berita</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <a href="{% url 'profile:admin_news_create' %}"> 
        <button type="button" class="btn btn-info mt-2 mb-4"><i class="bi bi-plus"></i> Tambah Berita</button>
    </a>

    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info" style="flex-grow: 1;">Berita</h6>
            <div class="input-group" style="width: 250px;">
                <form id="search-form" class="form-inline">
                  <input type="text" class="form-control" name="search" placeholder="Cari Produk..." id="search-input">
                  <button class="btn btn-primary" type="submit"><i class="fa fa-search"></i></button>
                </form>
            </div>
        </div>        
        <div class="card-body">
            <div class="row" id="search-results">
                {% for news in newss %}
                    <div class="col-md-3 mb-2 search" data-page="{{ newss.number }}">
                        <div class="bg-white rounded shadow-sm h-100">
                            {% if news.thumbnail != '' %}
                                <img src="{{ news.thumbnail.url }}" alt="" class="img-fluid card-img-top">
                                {% if news.deleted_at %}
                                    <div class="img-bagss">
                                        <div class="tag-bln">Diarsipkan</div>
                                    </div>
                                {% endif %}
                            {% endif %}
                            <div class="p-2">
                                <h5>{{ news.title | truncatewords:8 }}</h5>
                                <p class="mb-0">{{ news.category }} | {{ news.created_at }}</p>
                                <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                    <a class="btn btn-info btn-circle mr-3 mb-2" 
                                        href="{% url 'profile:admin_news_detail' slug=news.slug %}"
                                        data-toggle="tooltip" data-placement="top" title="Detail">
                                        <i class="bi bi-info-lg"></i>
                                    </a>
                                    <a class="btn btn-success btn-circle mr-3 mb-2" 
                                        href="{% url 'profile:admin_news_edit' slug=news.slug %}"
                                        data-toggle="tooltip" data-placement="top" title="Edit">
                                        <i class="bi bi-pencil"></i>
                                    </a>
                                    {% if news.deleted_at %}
                                        <button class="btn btn-warning btn-circle mr-3 mb-2" 
                                            onclick="restore_(`{{ news.title }}`, '{{ news.slug }}', 'news', 'Berita')"
                                            data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                            <i class="bi bi-arrow-counterclockwise"></i>
                                        </button>
                                        {% if user.is_staff %}
                                            <button href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                                onclick="delete_('permanent_delete', `{{ news.title }}`, '{{ news.slug }}', 'news', 'Berita')"
                                                data-toggle="tooltip" data-placement="top" title="Hapus">
                                                <i class="bi bi-trash"></i>
                                            </button>
                                        {% endif %}
                                    {% else %}
                                        <button href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                            onclick="delete_('soft_delete', `{{ news.title }}`, '{{ news.slug }}', 'news', 'Berita')"
                                            data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                            <i class="bi bi-archive"></i>
                                        </button>
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
        <nav aria-label="Page navigation example">
            <ul class="pagination justify-content-center" id="paginator">
                {% if newss.has_other_pages %}
                    {% if newss.has_previous %}
                        <li class="page-item">
                            <a class="page-link" href="?page={{ newss.previous_page_number }}" tabindex="-1">Previous</a>
                        </li>
                    {% endif %}
        
                    {% for i in newss.paginator.page_range %}
                        {% if newss.number == i %}
                            <li class="page-item disabled">
                                <a class="page-link" href="#" tabindex="-1">{{ i }}</a>
                            </li>
                        {% else %}
                            <li class="page-item"><a class="page-link" href="?page={{ i }}">{{ i }}</a></li>
                        {% endif %}
                    {% endfor %}
        
                    {% if newss.has_next %}
                        <li class="page-item">
                            <a class="page-link" href="?page={{ newss.next_page_number }}">Next</a>
                        </li>
                    {% endif %}
                {% endif %}
            </ul>
        </nav>
    </div>

    {% if request.user.is_staff and archives %}
    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info">Arsip Berita</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <div class="row">
                {% for archive in archives %}
                    <div class="col-md-3 mb-2">
                        <div class="bg-white rounded shadow-sm h-100">
                            {% if archive.thumbnail != '' %}
                                <img src="{{ archive.thumbnail.url }}" alt="" class="img-fluid card-img-top">
                                {% if archive.deleted_at %}
                                    <div class="img-bagss">
                                        <div class="tag-bln">Diarsipkan</div>
                                    </div>
                                {% endif %}
                            {% endif %}
                            <div class="p-2">
                                <h5>{{ archive.title | truncatewords:8 }}</h5>
                                <p class="mb-0">{{ archive.category }} | {{ archive.created_at }}</p>
                                <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                    <a class="btn btn-info btn-circle mr-3 mb-2" 
                                        href="{% url 'profile:admin_news_detail' slug=archive.slug %}"
                                        data-toggle="tooltip" data-placement="top" title="Detail">
                                        <i class="bi bi-info-lg"></i>
                                    </a>
                                    <a class="btn btn-success btn-circle mr-3 mb-2" 
                                        href="{% url 'profile:admin_news_edit' slug=archive.slug %}"
                                        data-toggle="tooltip" data-placement="top" title="Edit">
                                        <i class="bi bi-pencil"></i>
                                    </a>
                                    {% if archive.deleted_at %}
                                        <button class="btn btn-warning btn-circle mr-3 mb-2" 
                                            onclick="restore_(`{{ archive.title }}`, '{{ archive.slug }}', 'news', 'Berita')"
                                            data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                            <i class="bi bi-arrow-counterclockwise"></i>
                                        </button>
                                        {% if user.is_staff %}
                                            <button href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                                onclick="delete_('permanent_delete', `{{ archive.title }}`, '{{ archive.slug }}', 'news', 'Berita')"
                                                data-toggle="tooltip" data-placement="top" title="Hapus">
                                                <i class="bi bi-trash"></i>
                                            </button>
                                        {% endif %}
                                    {% else %}
                                        <button href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                            onclick="delete_('soft_delete', `{{ archive.title }}`, '{{ archive.slug }}', 'news', 'Berita')"
                                            data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                            <i class="bi bi-archive"></i>
                                        </button>
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>
    {% endif %}
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <script src="{% static 'admin/js/admin/admin-aksi.js' %}"></script>
    <script>
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable();
            $('#table-archive').DataTable();
        });
    </script>
    <script>
        document.getElementById('search-form').addEventListener('submit', function(event) {
        event.preventDefault(); // Prevent form submission

        var searchText = document.getElementById('search-input').value.toLowerCase();
        var url = new URL(window.location.href);
        var params = new URLSearchParams(url.search);
        
        params.set('search', searchText);
        params.delete('page');
        
        window.location.href = '?' + params.toString();
        });
    </script>
{% endblock scripts_bawah %}